curl --request PUT \
--url https://api.swoogo.com/api/v1/webhook-groups/update/{webhook_group_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'name=Sample Webhook Group' \
--data-urlencode 'headers%5B0%5D={
"key": "Authentication",
"value": "Bearer Token"
}' \
--data-urlencode 'headers%5B1%5D={
"key": "Content-Type",
"value": "application/json"
}' \
--data notification_emails=test@email.comimport requests
url = "https://api.swoogo.com/api/v1/webhook-groups/update/{webhook_group_id}"
payload = {
"name": "Sample Webhook Group",
"headers[0]": "{
\"key\": \"Authentication\",
\"value\": \"Bearer Token\"
}",
"headers[1]": "{
\"key\": \"Content-Type\",
\"value\": \"application/json\"
}",
"notification_emails": "test@email.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
name: 'Sample Webhook Group',
'headers[0]': '{\n "key": "Authentication",\n "value": "Bearer Token"\n}',
'headers[1]': '{\n "key": "Content-Type",\n "value": "application/json"\n}',
notification_emails: 'test@email.com'
})
};
fetch('https://api.swoogo.com/api/v1/webhook-groups/update/{webhook_group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Sample Webhook Group",
"headers": [
{
"key": "Authentication",
"value": "Bearer Token"
},
{
"key": "Content-Type",
"value": "application/json"
}
],
"notification_emails": [
"notify@example.com",
"test@example.com"
]
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401
}{
"name": "Forbidden",
"message": "You do not have access to that resource.",
"code": 0,
"status": 403
}{
"name": "Not Found",
"message": "The requested resource does not exist.",
"code": 0,
"status": 404
}{
"name": "Internal Server Error",
"message": "An error occurred while processing your request.",
"code": 0,
"status": 500
}Update Webhook Group
Updates an existing webhook group by its ID. You can modify the group name and the list of events it applies to.
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Path Parameters
integer - required - The ID of the Webhook Group you want to update
1
Body
The name of the webhook group. This value must be unique.
"Sample Webhook Group"
A list of key-value pairs representing headers for the webhook group.
Show child attributes
Show child attributes
[
{
"key": "Authentication",
"value": "Bearer Token"
},
{
"key": "Content-Type",
"value": "application/json"
}
]
Notification email list for failure alerts.
A list of email addresses to be notified if any webhook within the group fails.
["notify@example.com", "test@example.com"]
Response
Update Webhook Group
The name of the webhook group. This value must be unique.
"Sample Webhook Group"
A list of key-value pairs representing headers for the webhook group.
Show child attributes
Show child attributes
[
{
"key": "Authentication",
"value": "Bearer Token"
},
{
"key": "Content-Type",
"value": "application/json"
}
]
Notification email list for failure alerts.
A list of email addresses to be notified if any webhook within the group fails.
["notify@example.com", "test@example.com"]